Subject: Re: [Drip] Remote ID demo in USA

From: Andrei Gurtov <[email-masked]>
Date: Tue, 12 Jan 2021 14:26:37 +0100

That's great.

Some BT 5 testing results from Japan

https://www.unmannedairspace.info/news-first/japanese-researchers-report-95-success-rate-in-bluetooth-5-0-remote-drone-id-comms-trials/

Japan’s New Energy and Industrial Technology Development Organisation
(NEDO) government agency reports it has recorded a 95% success rate in
evaluating Bluetooth 5.0 for remote identification of drones. A
prototype small transmitter was mounted on a drone for the communication
evaluation test, flying at an altitude of approximately 150m, and the
reception status was evaluated while changing conditions such as the
horizontal distance to the evaluation receiver located on the ground.

br Andrei

On 12/11/2020 5:31 PM, Card, Stu wrote:
> In UPP2, at the NY UAS Test Site, _inter alia_, we tested/demonstrated
> to FAA:
>
> - ASTM F3411 Network RID, over the Internet (always used for Net-RID
> transport);
>
> - ASTM F3411 Broadcast RID, directly over Bluetooth 4 & 5 (not yet
> WiFi NAN), w/ & w/o DRIP enhancements per earlier drafts;
>
> - Discovery & Synchronization Service (DSS) and inter-USS
> communications, over the Internet (as always), w/ICAO Aviation Trust
> Framework certificate based auth;
>
> - "correlation queries" into the FAA's fake database, using as the
> primary unique key the Type 2 (aircraft registration number) UAS ID
> received via RID, for information beyond RID.
>
> Different access levels were only for USS augmentation of Network RID
> w/additional information and FAA database lookups, as ASTM F3411 RID
> itself is always cleartext (Bob has a DRIP draft to selectively
> encrypt PII).
>
> In most respects, the demo showed that FAA's NASA-derived UTM approach
> can work well.
>
> One significant finding was that the UTM architecture needs to be made
> more resilient to malfunctions and outages of any of its
> constituent USS; DRIP could help here as well.
>
> On Wed, Dec 9, 2020 at 10:08 AM Andrei Gurtov <[email-masked]
> <mailto:[email-masked]>> wrote:
>
>     Hi,
>
>     Just curious, in this demo they use ASTM specs for drone id + some
>     security patches, but not from DRIP?
>
>     "Phase two of the UAS Traffic Management Pilot Program (UPP) sets the
>     stage for the future of Remote ID."
>
>     "Going beyond what was proposed in the standard, we also tested
>     cybersecurity measures to ensure that private information could
>     only be
>     accessed by authorized users. For instance, digital certificates from
>     the International Aviation Trust Framework were used to sign messages
>     and access tokens were provided to each UPP participant to ensure the
>     appropriate level of access."
>
>     https://medium.com/faa/welcome-to-the-future-the-next-stage-of-uas-traffic-management-e2faf57d539d
>     <https://medium.com/faa/welcome-to-the-future-the-next-stage-of-uas-traffic-management-e2faf57d539d>
>
>     Btw, this week is Single European Sky conference, but not much on
>     cybersecurity(
>
>     https://www.sesarju.eu/sesarinnovationdays
>     <https://www.sesarju.eu/sesarinnovationdays>
>
>     br Andrei
>
>     -- 
>     Tm-rid mailing list
>     [email-masked] <mailto:[email-masked]>
>     https://www.ietf.org/mailman/listinfo/tm-rid
>     <https://www.ietf.org/mailman/listinfo/tm-rid>
>

---

From: "Card, Stu" <[email-masked]>
Date: Tue, 12 Jan 2021 09:49:05 -0500

A 95% message delivery rate yields only a 77% rate of receiving all 5
messages in the complete set on a single pass. As 4 of 5 contain only
static data that will repeat, this isn't fatal, it just means an observer
will need to wait for a 2nd pass to get the complete data set. With the FAA
language ambiguous on message rate, this may be as soon as 1 second later,
or might take longer.

More concerning is that 150 meters is higher than small UAS are allowed to
fly under UAS specific rules in the US; it would require either a waiver or
that the UA be certified and fly under manned aircraft rules with ADS-B
rather than UAS RID. Typical flying heights (not just in the US) will often
be well below the max allowed height. Greater height facilitates RF line of
sight over terrain, structures, etc.  If the reported height was needed to
achieve the reported reliability, inquiring minds want to know, what is the
reliability at lower heights?

On Tue, Jan 12, 2021, 8:26 AM Andrei Gurtov <[email-masked]> wrote:

> evaluating Bluetooth 5.0 for remote identification of drones. A prototype
> small transmitter was mounted on a drone for the communication evaluation
> test, flying at an altitude of approximately 150m, and the reception status
> was evaluated while changing conditions such as the horizontal distance to
> the evaluation receiver located on the ground.
>
> br Andrei
> In UPP2, at the NY UAS Test Site, _inter alia_, we tested/demonstrated to
> FAA:
>
> - ASTM F3411 Broadcast RID, directly over Bluetooth 4 & 5 (not yet WiFi
> NAN), w/ & w/o DRIP enhancements per earlier drafts;
>
> - Discovery & Synchronization Service (DSS) and inter-USS communications,
> over the Internet (as always), w/ICAO Aviation Trust Framework certificate
> based auth;
>
> - "correlation queries" into the FAA's fake database, using as the primary
> unique key the Type 2 (aircraft registration number) UAS ID received via
> RID, for information beyond RID.
>
> itself is always cleartext (Bob has a DRIP draft to selectively encrypt
> PII).
>
> In most respects, the demo showed that FAA's NASA-derived UTM approach can
> work well.
>
> more resilient to malfunctions and outages of any of its constituent USS;
> DRIP could help here as well.
>
> On Wed, Dec 9, 2020 at 10:08 AM Andrei Gurtov <[email-masked]>
> wrote:
>
>> Hi,
>>
>> cybersecurity measures to ensure that private information could only be
>> [email-masked]